Subject: Re: Support for malign-double?
From: [email-masked] (Toshiyuki Nakata)

9 Sep 1998 23:31:03 -0700
Message-ID: <[email-masked]>
References: [email-masked] (Toshiyuki Nakata)
Reply-To: Toshiyuki Nakata <[email-masked]>
Cc: [email-masked]

Hello:
I had written:
; ; I have one question on performance related issue.
; ; 
; ; Do you support -malign-double in mingwin-32 and gnuwin-32 (egcs-1.0.2)?
; ; 
; 
; ; The reason is that I have been comparing the performance of a user's
; ; application on linux and Winnt and the interesting thing to note is that
; ; 
; ; They are comparable for integer performance but  linux performance is
; ; about 20% better for floating point intensive application.
; 
; Sorry, it seems that this has been fixed for the egcs1.0.2 for gnuwin32 b19
; but not for egcs1.0.2 on  ming32.
; 

With the newest version of egcs1.1.0 released quite recently by Mumit
(Thank you very much  Mumit), common blocks are aligned on an 8byte
boundary for Mingw32 as well. 
I got a 20% performance gain on some floating point programs. 

Best Regards
Toshiyuki Nakata

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".